Skip to content

Shares

All operations require authentication.

11 operationsv1/email/exchange
Agent setup

List public foldersProduction

GET
/1.0/email/exchange/{organizationName}/service/{exchangeService}/publicFolder

List public folders. Returns the paths of the public folders of the service. Filter them by path to look for a given folder.

Path parameters

exchangeService
required
string

The internal name of your exchange service

organizationName
required
string

The internal name of your exchange organization

Query parameters

path
string

Filter the value of path property (like)

Response

200string[]successful operation

Example uses exchangeService = string, organizationName = string

$ curl https://api.eu.ovhcloud.com/1.0/email/exchange/{organizationName}/service/{exchangeService}/publicFolder \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get a public folderProduction

GET
/1.0/email/exchange/{organizationName}/service/{exchangeService}/publicFolder/{path}

Get a public folder. Returns the type, quota, size, item count, default and anonymous permissions and access dates of the public folder.

Path parameters

exchangeService
required
string

The internal name of your exchange service

organizationName
required
string

The internal name of your exchange organization

path
required
string

Path for public folder

Response

200publicFoldersuccessful operation
anonymousPermission
PublicFolderRightTypeEnum

Access right for the guest users

Valueseditornonereviewer
creationDate
read-only
stringdate-time

Creation date

defaultPermission
PublicFolderRightTypeEnum

Default access right

Valueseditornonereviewer
hasSubFolders
read-only
boolean

If true, this public folder has subfolders

itemCount
read-only
integer

Number of items in public folder

lastAccessTime
read-only
stringdate-time

Time for which public folder was accessed for the last time

lastModificationTime
read-only
stringdate-time

Time for which public folder was modified for the last time

lastUserAccessTime
read-only
stringdate-time

Time for which public folder was accessed for the last time by the user

lastUserModificationTime
read-only
stringdate-time

Time for which public folder was modified for the last time by the user

path
read-only
string

Path for public folder

quota
integer

Quota for public folder in MB

state
read-only
ObjectStateEnum

Current object state

ValuescreatingdeletinginternalMigrationokreopeningsuspendedsuspending
taskPendingId
read-only
integer

task pending id

totalItemSize
read-only
integer

Sum of all items in public folder in MB

type
read-only
PublicFolderTypeEnum

Type for public folder

Valuescalendarcontactsplaintasks

Example uses exchangeService = string, organizationName = string, path = string

$ curl https://api.eu.ovhcloud.com/1.0/email/exchange/{organizationName}/service/{exchangeService}/publicFolder/{path} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "anonymousPermission": "editor", "creationDate": "2024-01-01T12:00:00Z", "defaultPermission": "editor", "hasSubFolders": true, "itemCount": 0, "lastAccessTime": "2024-01-01T12:00:00Z", "lastModificationTime": "2024-01-01T12:00:00Z", "lastUserAccessTime": "2024-01-01T12:00:00Z", "lastUserModificationTime": "2024-01-01T12:00:00Z", "path": "string", "quota": 0, "state": "creating", "taskPendingId": 0, "totalItemSize": 0, "type": "calendar"}

Create a public folderProduction

POST
/1.0/email/exchange/{organizationName}/service/{exchangeService}/publicFolder

Create a public folder. Creates a calendar, contacts, plain or tasks public folder from its path and its quota in MB, and returns the task.

Path parameters

exchangeService
required
string

The internal name of your exchange service

organizationName
required
string

The internal name of your exchange organization

Request body (required)

anonymousPermission
PublicFolderRightTypeEnum

Access right for the guest users

Valueseditornonereviewer
defaultPermission
PublicFolderRightTypeEnum

Default access right

Valueseditornonereviewer
path
required
string

Path for public folder

quota
required
integer

Quota for public folder in MB

type
required
PublicFolderTypeEnum

Type for public folder

Valuescalendarcontactsplaintasks

Response

200Tasksuccessful operation
finishDate
read-only
stringdate-time

Completion date

function
read-only
TaskFunctionEnum

Function name

ValuesactivateSharepointaddAccountaddAccountArchiveaddAccountImpersonationaddActiveSyncMailNotificationaddAliasaddDistributionGroupaddDistributionGroupManageraddDistributionGroupMemberaddDistributionGroupSendAsaddDistributionGroupSendOnBehalfToaddDomainaddDomainDisclaimeraddExchangeCustomIsolationaddExchangeDomainDKIMaddExchangeRemoteMailboxaddExchangeServiceAuthorizedIpaddExportPstRequestaddExternalContactaddFullAccessaddOutlookLicenseaddPublicFolderaddPublicFolderPermissionaddResourceAccountaddResourceDelegateaddSendAsaddSendConnectoraddSendOnBehalfToaddSharedAccountaddSharedAccountFullAccessaddSharedAccountSendAsaddSharedAccountSendOnBehalfTochangeHostnamechangePasswordclearDataOnDevicecloneTemplateExchangePrivateconfigureExchangeCustomerconfigureExchangeOwaMfacopyMailboxcreateExternalAntiSpamReceiveConnectordeleteAccountdeleteAccountArchivedeleteAccountImpersonationdeleteActiveSyncMailNotificationdeleteAliasdeleteDistributionGroupdeleteDistributionGroupManagerdeleteDistributionGroupMemberdeleteDistributionGroupSendAsdeleteDistributionGroupSendOnBehalfTodeleteDomaindeleteDomainDisclaimerdeleteExchangeCustomIsolationdeleteExchangeDomainDKIMdeleteExchangeRemoteMailboxdeleteExchangeServicedeleteExchangeServiceAuthorizedIpdeleteExportPstRequestdeleteExternalAntiSpamReceiveConnectordeleteExternalContactdeleteFullAccessdeleteOutlookLicensedeletePublicFolderdeletePublicFolderPermissiondeleteResourceAccountdeleteResourceDelegatedeleteSendAsdeleteSendConnectordeleteSendOnBehalfTodeleteSharedAccountdeleteSharedAccountFullAccessdeleteSharedAccountSendAsdeleteSharedAccountSendOnBehalfTodestroyPrivateVmdiagnoseAccountdisableExchangeDKIMenableExchangeDKIMexpandDrivegenerateOutlookUrlgeneratePstUrlinstallExchangeinstallSSLmaintenancemigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationMailingListmigrationResourceAccountmigrationServicereOpenHostedAccountreOpenOutlookLicensereOpenPrivateAccountreOpenPrivateVmsetAccountsetAccountArchivesetAliassetDistributionGroupsetDnssetDomainsetDomainDisclaimersetExchangeAccountProtocolsetExchangeRemoteMailboxsetExchangeServiceDevicesetExternalAntiSpamReceiveConnectorsetExternalContactsetPublicFoldersetPublicFolderPermissionsetResourceAccountsetSendConnectorsetServicesetSharedAccountsuspendAccountsuspendExchangeServicesuspendHostedAccountsuspendOutlookLicensesuspendPrivateAccountsuspendPrivateVmunsuspendAccountunsuspendExchangeServiceunsuspendHostedAccountupdateExchangeServiceDeviceupgrade2016
id
read-only
integer

Task id

status
read-only
TaskStatusEnum

Task status

Valuescancelleddoingdoneerrortodo
todoDate
read-only
stringdate-time

Creation date

Example uses exchangeService = string, organizationName = string

$ curl https://api.eu.ovhcloud.com/1.0/email/exchange/{organizationName}/service/{exchangeService}/publicFolder \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "finishDate": "2024-01-01T12:00:00Z", "function": "activateSharepoint", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}

Delete a public folderProduction

DELETE
/1.0/email/exchange/{organizationName}/service/{exchangeService}/publicFolder/{path}

Delete a public folder. Deletes the public folder with its content and permissions, and returns the task.

Path parameters

exchangeService
required
string

The internal name of your exchange service

organizationName
required
string

The internal name of your exchange organization

path
required
string

Path for public folder

Response

200Tasksuccessful operation
finishDate
read-only
stringdate-time

Completion date

function
read-only
TaskFunctionEnum

Function name

ValuesactivateSharepointaddAccountaddAccountArchiveaddAccountImpersonationaddActiveSyncMailNotificationaddAliasaddDistributionGroupaddDistributionGroupManageraddDistributionGroupMemberaddDistributionGroupSendAsaddDistributionGroupSendOnBehalfToaddDomainaddDomainDisclaimeraddExchangeCustomIsolationaddExchangeDomainDKIMaddExchangeRemoteMailboxaddExchangeServiceAuthorizedIpaddExportPstRequestaddExternalContactaddFullAccessaddOutlookLicenseaddPublicFolderaddPublicFolderPermissionaddResourceAccountaddResourceDelegateaddSendAsaddSendConnectoraddSendOnBehalfToaddSharedAccountaddSharedAccountFullAccessaddSharedAccountSendAsaddSharedAccountSendOnBehalfTochangeHostnamechangePasswordclearDataOnDevicecloneTemplateExchangePrivateconfigureExchangeCustomerconfigureExchangeOwaMfacopyMailboxcreateExternalAntiSpamReceiveConnectordeleteAccountdeleteAccountArchivedeleteAccountImpersonationdeleteActiveSyncMailNotificationdeleteAliasdeleteDistributionGroupdeleteDistributionGroupManagerdeleteDistributionGroupMemberdeleteDistributionGroupSendAsdeleteDistributionGroupSendOnBehalfTodeleteDomaindeleteDomainDisclaimerdeleteExchangeCustomIsolationdeleteExchangeDomainDKIMdeleteExchangeRemoteMailboxdeleteExchangeServicedeleteExchangeServiceAuthorizedIpdeleteExportPstRequestdeleteExternalAntiSpamReceiveConnectordeleteExternalContactdeleteFullAccessdeleteOutlookLicensedeletePublicFolderdeletePublicFolderPermissiondeleteResourceAccountdeleteResourceDelegatedeleteSendAsdeleteSendConnectordeleteSendOnBehalfTodeleteSharedAccountdeleteSharedAccountFullAccessdeleteSharedAccountSendAsdeleteSharedAccountSendOnBehalfTodestroyPrivateVmdiagnoseAccountdisableExchangeDKIMenableExchangeDKIMexpandDrivegenerateOutlookUrlgeneratePstUrlinstallExchangeinstallSSLmaintenancemigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationMailingListmigrationResourceAccountmigrationServicereOpenHostedAccountreOpenOutlookLicensereOpenPrivateAccountreOpenPrivateVmsetAccountsetAccountArchivesetAliassetDistributionGroupsetDnssetDomainsetDomainDisclaimersetExchangeAccountProtocolsetExchangeRemoteMailboxsetExchangeServiceDevicesetExternalAntiSpamReceiveConnectorsetExternalContactsetPublicFoldersetPublicFolderPermissionsetResourceAccountsetSendConnectorsetServicesetSharedAccountsuspendAccountsuspendExchangeServicesuspendHostedAccountsuspendOutlookLicensesuspendPrivateAccountsuspendPrivateVmunsuspendAccountunsuspendExchangeServiceunsuspendHostedAccountupdateExchangeServiceDeviceupgrade2016
id
read-only
integer

Task id

status
read-only
TaskStatusEnum

Task status

Valuescancelleddoingdoneerrortodo
todoDate
read-only
stringdate-time

Creation date

Example uses exchangeService = string, organizationName = string, path = string

$ curl https://api.eu.ovhcloud.com/1.0/email/exchange/{organizationName}/service/{exchangeService}/publicFolder/{path} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "finishDate": "2024-01-01T12:00:00Z", "function": "activateSharepoint", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}

Update a public folderProduction

PUT
/1.0/email/exchange/{organizationName}/service/{exchangeService}/publicFolder/{path}

Update a public folder. Updates the quota of the public folder, in MB, and its default and anonymous permissions.

Path parameters

exchangeService
required
string

The internal name of your exchange service

organizationName
required
string

The internal name of your exchange organization

path
required
string

Path for public folder

Request body (required)

anonymousPermission
PublicFolderRightTypeEnum

Access right for the guest users

Valueseditornonereviewer
creationDate
read-only
stringdate-time

Creation date

defaultPermission
PublicFolderRightTypeEnum

Default access right

Valueseditornonereviewer
hasSubFolders
read-only
boolean

If true, this public folder has subfolders

itemCount
read-only
integer

Number of items in public folder

lastAccessTime
read-only
stringdate-time

Time for which public folder was accessed for the last time

lastModificationTime
read-only
stringdate-time

Time for which public folder was modified for the last time

lastUserAccessTime
read-only
stringdate-time

Time for which public folder was accessed for the last time by the user

lastUserModificationTime
read-only
stringdate-time

Time for which public folder was modified for the last time by the user

path
read-only
string

Path for public folder

quota
integer

Quota for public folder in MB

state
read-only
ObjectStateEnum

Current object state

ValuescreatingdeletinginternalMigrationokreopeningsuspendedsuspending
taskPendingId
read-only
integer

task pending id

totalItemSize
read-only
integer

Sum of all items in public folder in MB

type
read-only
PublicFolderTypeEnum

Type for public folder

Valuescalendarcontactsplaintasks

Response

200—successful operation

Example uses exchangeService = string, organizationName = string, path = string

$ curl https://api.eu.ovhcloud.com/1.0/email/exchange/{organizationName}/service/{exchangeService}/publicFolder/{path} \
  -H "authorization: Bearer $OVH_TOKEN"

List public folder permissionsProduction

GET
/1.0/email/exchange/{organizationName}/service/{exchangeService}/publicFolder/{path}/permission

List public folder permissions. Returns the IDs of the accounts that have a permission on the public folder.

Path parameters

exchangeService
required
string

The internal name of your exchange service

organizationName
required
string

The internal name of your exchange organization

path
required
string

Path for public folder

Response

200integer[]successful operation

Example uses exchangeService = string, organizationName = string, path = string

$ curl https://api.eu.ovhcloud.com/1.0/email/exchange/{organizationName}/service/{exchangeService}/publicFolder/{path}/permission \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a public folder permissionProduction

GET
/1.0/email/exchange/{organizationName}/service/{exchangeService}/publicFolder/{path}/permission/{allowedAccountId}

Get a public folder permission. Returns the ID of the account given access to the public folder, its access rights and its state.

Path parameters

allowedAccountId
required
integer

Account id

exchangeService
required
string

The internal name of your exchange service

organizationName
required
string

The internal name of your exchange organization

path
required
string

Path for public folder

Response

200exchangePublicFolderPermissionsuccessful operation
accessRights
PublicFolderRightTypeEnum

Access right set for the account

Valueseditornonereviewer
allowedAccountId
read-only
integer

Account id

creationDate
read-only
stringdate-time

Creation date

state
read-only
ObjectStateEnum

Current object state

ValuescreatingdeletinginternalMigrationokreopeningsuspendedsuspending
taskPendingId
read-only
integer

task pending id

Example uses allowedAccountId = 0, exchangeService = string, organizationName = string, path = string

$ curl https://api.eu.ovhcloud.com/1.0/email/exchange/{organizationName}/service/{exchangeService}/publicFolder/{path}/permission/{allowedAccountId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "accessRights": "editor", "allowedAccountId": 0, "creationDate": "2024-01-01T12:00:00Z", "state": "creating", "taskPendingId": 0}

Add a public folder permissionProduction

POST
/1.0/email/exchange/{organizationName}/service/{exchangeService}/publicFolder/{path}/permission

Add a public folder permission. Gives the account given by allowedAccountId the editor, reviewer or none access right on the public folder, and returns the task.

Path parameters

exchangeService
required
string

The internal name of your exchange service

organizationName
required
string

The internal name of your exchange organization

path
required
string

Path for public folder

Request body (required)

accessRights
required
PublicFolderRightTypeEnum

Access rights to be set for the account

Valueseditornonereviewer
allowedAccountId
required
integer

Account id to have access to public folder

Response

200Tasksuccessful operation
finishDate
read-only
stringdate-time

Completion date

function
read-only
TaskFunctionEnum

Function name

ValuesactivateSharepointaddAccountaddAccountArchiveaddAccountImpersonationaddActiveSyncMailNotificationaddAliasaddDistributionGroupaddDistributionGroupManageraddDistributionGroupMemberaddDistributionGroupSendAsaddDistributionGroupSendOnBehalfToaddDomainaddDomainDisclaimeraddExchangeCustomIsolationaddExchangeDomainDKIMaddExchangeRemoteMailboxaddExchangeServiceAuthorizedIpaddExportPstRequestaddExternalContactaddFullAccessaddOutlookLicenseaddPublicFolderaddPublicFolderPermissionaddResourceAccountaddResourceDelegateaddSendAsaddSendConnectoraddSendOnBehalfToaddSharedAccountaddSharedAccountFullAccessaddSharedAccountSendAsaddSharedAccountSendOnBehalfTochangeHostnamechangePasswordclearDataOnDevicecloneTemplateExchangePrivateconfigureExchangeCustomerconfigureExchangeOwaMfacopyMailboxcreateExternalAntiSpamReceiveConnectordeleteAccountdeleteAccountArchivedeleteAccountImpersonationdeleteActiveSyncMailNotificationdeleteAliasdeleteDistributionGroupdeleteDistributionGroupManagerdeleteDistributionGroupMemberdeleteDistributionGroupSendAsdeleteDistributionGroupSendOnBehalfTodeleteDomaindeleteDomainDisclaimerdeleteExchangeCustomIsolationdeleteExchangeDomainDKIMdeleteExchangeRemoteMailboxdeleteExchangeServicedeleteExchangeServiceAuthorizedIpdeleteExportPstRequestdeleteExternalAntiSpamReceiveConnectordeleteExternalContactdeleteFullAccessdeleteOutlookLicensedeletePublicFolderdeletePublicFolderPermissiondeleteResourceAccountdeleteResourceDelegatedeleteSendAsdeleteSendConnectordeleteSendOnBehalfTodeleteSharedAccountdeleteSharedAccountFullAccessdeleteSharedAccountSendAsdeleteSharedAccountSendOnBehalfTodestroyPrivateVmdiagnoseAccountdisableExchangeDKIMenableExchangeDKIMexpandDrivegenerateOutlookUrlgeneratePstUrlinstallExchangeinstallSSLmaintenancemigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationMailingListmigrationResourceAccountmigrationServicereOpenHostedAccountreOpenOutlookLicensereOpenPrivateAccountreOpenPrivateVmsetAccountsetAccountArchivesetAliassetDistributionGroupsetDnssetDomainsetDomainDisclaimersetExchangeAccountProtocolsetExchangeRemoteMailboxsetExchangeServiceDevicesetExternalAntiSpamReceiveConnectorsetExternalContactsetPublicFoldersetPublicFolderPermissionsetResourceAccountsetSendConnectorsetServicesetSharedAccountsuspendAccountsuspendExchangeServicesuspendHostedAccountsuspendOutlookLicensesuspendPrivateAccountsuspendPrivateVmunsuspendAccountunsuspendExchangeServiceunsuspendHostedAccountupdateExchangeServiceDeviceupgrade2016
id
read-only
integer

Task id

status
read-only
TaskStatusEnum

Task status

Valuescancelleddoingdoneerrortodo
todoDate
read-only
stringdate-time

Creation date

Example uses exchangeService = string, organizationName = string, path = string

$ curl https://api.eu.ovhcloud.com/1.0/email/exchange/{organizationName}/service/{exchangeService}/publicFolder/{path}/permission \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "finishDate": "2024-01-01T12:00:00Z", "function": "activateSharepoint", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}

Remove a public folder permissionProduction

DELETE
/1.0/email/exchange/{organizationName}/service/{exchangeService}/publicFolder/{path}/permission/{allowedAccountId}

Remove a public folder permission. Withdraws the access of the account to the public folder, and returns the task.

Path parameters

allowedAccountId
required
integer

Account id

exchangeService
required
string

The internal name of your exchange service

organizationName
required
string

The internal name of your exchange organization

path
required
string

Path for public folder

Response

200Tasksuccessful operation
finishDate
read-only
stringdate-time

Completion date

function
read-only
TaskFunctionEnum

Function name

ValuesactivateSharepointaddAccountaddAccountArchiveaddAccountImpersonationaddActiveSyncMailNotificationaddAliasaddDistributionGroupaddDistributionGroupManageraddDistributionGroupMemberaddDistributionGroupSendAsaddDistributionGroupSendOnBehalfToaddDomainaddDomainDisclaimeraddExchangeCustomIsolationaddExchangeDomainDKIMaddExchangeRemoteMailboxaddExchangeServiceAuthorizedIpaddExportPstRequestaddExternalContactaddFullAccessaddOutlookLicenseaddPublicFolderaddPublicFolderPermissionaddResourceAccountaddResourceDelegateaddSendAsaddSendConnectoraddSendOnBehalfToaddSharedAccountaddSharedAccountFullAccessaddSharedAccountSendAsaddSharedAccountSendOnBehalfTochangeHostnamechangePasswordclearDataOnDevicecloneTemplateExchangePrivateconfigureExchangeCustomerconfigureExchangeOwaMfacopyMailboxcreateExternalAntiSpamReceiveConnectordeleteAccountdeleteAccountArchivedeleteAccountImpersonationdeleteActiveSyncMailNotificationdeleteAliasdeleteDistributionGroupdeleteDistributionGroupManagerdeleteDistributionGroupMemberdeleteDistributionGroupSendAsdeleteDistributionGroupSendOnBehalfTodeleteDomaindeleteDomainDisclaimerdeleteExchangeCustomIsolationdeleteExchangeDomainDKIMdeleteExchangeRemoteMailboxdeleteExchangeServicedeleteExchangeServiceAuthorizedIpdeleteExportPstRequestdeleteExternalAntiSpamReceiveConnectordeleteExternalContactdeleteFullAccessdeleteOutlookLicensedeletePublicFolderdeletePublicFolderPermissiondeleteResourceAccountdeleteResourceDelegatedeleteSendAsdeleteSendConnectordeleteSendOnBehalfTodeleteSharedAccountdeleteSharedAccountFullAccessdeleteSharedAccountSendAsdeleteSharedAccountSendOnBehalfTodestroyPrivateVmdiagnoseAccountdisableExchangeDKIMenableExchangeDKIMexpandDrivegenerateOutlookUrlgeneratePstUrlinstallExchangeinstallSSLmaintenancemigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationMailingListmigrationResourceAccountmigrationServicereOpenHostedAccountreOpenOutlookLicensereOpenPrivateAccountreOpenPrivateVmsetAccountsetAccountArchivesetAliassetDistributionGroupsetDnssetDomainsetDomainDisclaimersetExchangeAccountProtocolsetExchangeRemoteMailboxsetExchangeServiceDevicesetExternalAntiSpamReceiveConnectorsetExternalContactsetPublicFoldersetPublicFolderPermissionsetResourceAccountsetSendConnectorsetServicesetSharedAccountsuspendAccountsuspendExchangeServicesuspendHostedAccountsuspendOutlookLicensesuspendPrivateAccountsuspendPrivateVmunsuspendAccountunsuspendExchangeServiceunsuspendHostedAccountupdateExchangeServiceDeviceupgrade2016
id
read-only
integer

Task id

status
read-only
TaskStatusEnum

Task status

Valuescancelleddoingdoneerrortodo
todoDate
read-only
stringdate-time

Creation date

Example uses allowedAccountId = 0, exchangeService = string, organizationName = string, path = string

$ curl https://api.eu.ovhcloud.com/1.0/email/exchange/{organizationName}/service/{exchangeService}/publicFolder/{path}/permission/{allowedAccountId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "finishDate": "2024-01-01T12:00:00Z", "function": "activateSharepoint", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}

Update a public folder permissionProduction

PUT
/1.0/email/exchange/{organizationName}/service/{exchangeService}/publicFolder/{path}/permission/{allowedAccountId}

Update a public folder permission. Sets the access right of the account on the public folder: editor, reviewer or none.

Path parameters

allowedAccountId
required
integer

Account id

exchangeService
required
string

The internal name of your exchange service

organizationName
required
string

The internal name of your exchange organization

path
required
string

Path for public folder

Request body (required)

accessRights
PublicFolderRightTypeEnum

Access right set for the account

Valueseditornonereviewer
allowedAccountId
read-only
integer

Account id

creationDate
read-only
stringdate-time

Creation date

state
read-only
ObjectStateEnum

Current object state

ValuescreatingdeletinginternalMigrationokreopeningsuspendedsuspending
taskPendingId
read-only
integer

task pending id

Response

200—successful operation

Example uses allowedAccountId = 0, exchangeService = string, organizationName = string, path = string

$ curl https://api.eu.ovhcloud.com/1.0/email/exchange/{organizationName}/service/{exchangeService}/publicFolder/{path}/permission/{allowedAccountId} \
  -H "authorization: Bearer $OVH_TOKEN"

Get the public folder quotaProduction

GET
/1.0/email/exchange/{organizationName}/service/{exchangeService}/publicFolderQuota

Get the public folder quota. Returns the total space of the public folders, the space already reserved and the space used, in MB.

Path parameters

exchangeService
required
string

The internal name of your exchange service

organizationName
required
string

The internal name of your exchange organization

Response

200PublicFolderQuotasuccessful operation
quotaLimit
integer

total amount of space in MB for public folders within organization

quotaReserved
integer

space in MB already reserved from the quota limit

quotaUsed
integer

currently used space in MB within all public folders

Example uses exchangeService = string, organizationName = string

$ curl https://api.eu.ovhcloud.com/1.0/email/exchange/{organizationName}/service/{exchangeService}/publicFolderQuota \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "quotaLimit": 0, "quotaReserved": 0, "quotaUsed": 0}